Subject: bug#34420: [PATCH 2/2] smerge-mode: new function to go to next conflict

From: [email-masked]
Date: Tue, 19 Feb 2019 01:01:52 +0300

В Вт, 19 фев. 2019 в 12:51 ДП (AM), Stefan Monnier 
<[email-masked]> написал:
>>  1. On the first call of the function I get "smerge-vc-next-conflict:
>>  Symbol’s function definition is void: vc-find-conflicted-file". 
>> This starts
>>  working once I execute (require 'vc)
> 
> Did you take only smerge-mode.el ?
> 
> I changed vc.el so vc-find-conflicted-file is now autoloaded in the
> `master` branch, so you'll only see it if you use the `master` branch.
> 
>>  2. Although I didn't set smerge-change-buffer-confirm to nil, 
>> there's no
>>  confirmation before going to another buffer.
> 
> I assume it's because you run it via `M-x`.
> The confirmation only kicks in if you run it via a keybinding.
> 
> 
>         Stefan

Ah, works for me, thanks! I didn't want to upgrade to latest master 
because I've been using harfbuzz branch, but I just installed and 
tested master — everything is okay.